<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.profile.config')}">
				<p:panelGrid columns="2">
					<c:forEach items="#{profile.config}" var="p" varStatus="state">
						<h:outputText value="#{p.getTranslation(lang.simpleLocaleCode)}" />
						<ui:fragment rendered="#{!p.adminOnly or profile.hasPrivilege('admin')}">
							<p:inputText id="inputnumber_#{state.index}" value="#{p.value}" rendered="#{p.isNumber}">
								<f:convertNumber />
							</p:inputText>
							<p:inputText id="inputstring_#{state.index}" value="#{p.value}" rendered="#{p.isText}" />
							<p:colorPicker id="inputcolor_#{state.index}" value="#{p.value}" rendered="#{p.isColor}" />
							<h:outputText value="#{p.value}" rendered="#{!p.isNumber and !p.isText and !p.isColor}" />
              <ship:buttongroup>
                <p:commandButton id="btn_ok_#{state.index}" action="#{loginController.doSetConfigParam(p.key)}" ajax="false" value="#{facesContext.translate('button.approve')}" />
                <p:commandButton id="btn_cancel_#{state.index}" action="#{loginController.doUnsetConfigParam(p.key)}" ajax="false" value="#{facesContext.translate('button.remove')}" />
              </ship:buttongroup>
						</ui:fragment>
            <ui:fragment rendered="#{p.adminOnly and not profile.hasPrivilege('admin')}">
              <h:outputText value="#{p.value}" /><h:outputText value="*" style="color: red" title="only changeable by an admin" />
            </ui:fragment>
					</c:forEach>
				</p:panelGrid>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_pwd" action="#{loginController.toPassword}" value="#{facesContext.translate('button.changepassword')}" ajax="false" rendered="#{!profile.hasKeycloakAccessToken()}" />
			<h:outputText value="keycloak login" rendered="#{profile.hasKeycloakAccessToken()}" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Hier vorgenommene Einstellungen verändern die persönliche Sicht auf die Anwendung. 
		</ui:define>
	</ui:composition>
</h:body>
</html>